# cabal2spec-0.25.2
# https://fedoraproject.org/wiki/Packaging:Haskell
# https://fedoraproject.org/wiki/PackagingDrafts/Haskell

%global pkg_name json

# common part of summary for all the subpackages
%global common_summary Haskell %{pkg_name} parser and printer library

# main description used for all the subpackages
%global common_description This library provides a parser and pretty printer for converting\
between Haskell values and JSON.

Name:           ghc-%{pkg_name}
Version:        0.4.4
Release:        4.1%{?dist}
Summary:        %{common_summary}

Group:          System Environment/Libraries
License:        BSD
# BEGIN cabal2spec
URL:            http://hackage.haskell.org/package/%{pkg_name}
Source0:        http://hackage.haskell.org/packages/archive/%{pkg_name}/%{version}/%{pkg_name}-%{version}.tar.gz
ExclusiveArch:  %{ghc_arches}
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros %{!?without_hscolour:hscolour}
# END cabal2spec
BuildRequires:  ghc-bytestring-prof
BuildRequires:  ghc-containers-prof
BuildRequires:  ghc-mtl-prof
BuildRequires:  ghc-parsec-prof
BuildRequires:  ghc-pretty-prof
BuildRequires:  ghc-syb-prof

%description
%{common_description}


%prep
%setup -q -n %{pkg_name}-%{version}


%build
%ghc_lib_build


%install
%ghc_lib_install


%ghc_devel_package

%ghc_devel_description


%ghc_devel_post_postun


%ghc_files LICENSE
%doc CHANGES


%changelog
* Mon Jun 25 2012 Jens Petersen <petersen@redhat.com> - 0.4.4-4.1
- add license to ghc_files

* Thu Jan  5 2012 Jens Petersen <petersen@redhat.com> - 0.4.4-4
- update to cabal2spec-0.25.2
- add CHANGES

* Mon Oct 24 2011 Marcela Mašláňová <mmaslano@redhat.com> - 0.4.4-3.3
- rebuild with new gmp without compat lib

* Fri Oct 21 2011 Marcela Mašláňová <mmaslano@redhat.com> - 0.4.4-3.2
- rebuild with new gmp without compat lib

* Tue Oct 11 2011 Peter Schiffer <pschiffe@redhat.com> - 0.4.4-3.1
- rebuild with new gmp

* Wed Jun 22 2011 Jens Petersen <petersen@redhat.com> - 0.4.4-3
- use ghc_arches (cabal2spec-0.23.2)

* Wed May 11 2011 Jens Petersen <petersen@redhat.com> - 0.4.4-2
- drop ghc_pkg_deps
- BR ghc-Cabal-devel and 6 ghc-*-prof dependencies
- fix rpmlint warning about pkg_name macro in comment
- drop check section since tests assume QuickCheck 1

* Tue May  3 2011 Jens Petersen <petersen@redhat.com> - 0.4.4-1
- BSD license

* Tue May  3 2011 Fedora Haskell SIG <haskell-devel@lists.fedoraproject.org> - 0.4.4-0
- initial packaging for Fedora automatically generated by cabal2spec-0.22.6
